%define name	nautilus-open-terminal
%define version	0.18
%define release	4

Summary:	Open a terminal in a specified folder
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org
BuildRequires:	nautilus-devel >= 2.21.2
BuildRequires:	gnome-desktop-devel >= 2.9.91
BuildRequires:	intltool

%description
This is a proof-of-concept Nautilus extension which allows you to open
a terminal in arbitrary local folders.

%prep
%setup -q

%build
%configure2_5x \
        --disable-static \
        --disable-schemas-install
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
rm -f %{buildroot}%{_libdir}/nautilus/extensions-*/libnautilus-open-terminal.*a

%find_lang %{name}

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README AUTHORS TODO
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libdir}/nautilus/extensions-2.0/libnautilus-open-terminal.so


%changelog
* Sat Feb 19 2011 wally <wally> 0.18-4.mga1
+ Revision: 54419
- drop buildroot definition
- disable static build
- let filetriggers handle gconf schemas install
- clean .spec a bit
- imported package nautilus-open-terminal


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.18-3mdv2011.0
+ Revision: 613002
- the mass rebuild of 2010.1 packages

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 0.18-2mdv2010.1
+ Revision: 490633
- rebuild for new libgnome-desktop

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2010.1
+ Revision: 484857
- update to new version 0.18

* Sun Aug 09 2009 Götz Waschk <waschk@mandriva.org> 0.17-1mdv2010.0
+ Revision: 412761
- update to new version 0.17

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.16-1mdv2010.0
+ Revision: 408675
- update to new version 0.16
- update to new version 0.15
- update build deps

* Mon Aug 03 2009 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2010.0
+ Revision: 408049
- update to new version 0.14

* Sat May 23 2009 Götz Waschk <waschk@mandriva.org> 0.13-1mdv2010.0
+ Revision: 378912
- update to new version 0.13

* Sun May 17 2009 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2010.0
+ Revision: 376599
- update to new version 0.12

* Sat May 16 2009 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2010.0
+ Revision: 376379
- update to new version 0.11

* Fri May 15 2009 Götz Waschk <waschk@mandriva.org> 0.10-1mdv2010.0
+ Revision: 375964
- new version
- drop patch
- update build deps
- fix source URL

* Thu Jan 01 2009 Götz Waschk <waschk@mandriva.org> 0.9-5mdv2009.1
+ Revision: 323217
- update build deps
- rebuild for new gnome-desktop

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 0.9-4mdv2009.1
+ Revision: 300226
- fix build

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.9-3mdv2009.0
+ Revision: 253577
- rebuild

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.9-2mdv2009.0
+ Revision: 242156
- update license
- update build deps

* Thu Feb 28 2008 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2008.1
+ Revision: 176238
- new version

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 0.8-160.1mdv2008.1
+ Revision: 156514
- fix buildrequires
- update to svn snapshot
- add gconf schema

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 0.8-2mdv2008.1
+ Revision: 156461
- fix extensions dir

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.8-1mdv2008.1
+ Revision: 136618
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Mar 04 2007 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2007.0
+ Revision: 132244
- Import nautilus-open-terminal

* Sun Mar 04 2007 Gtz Waschk <waschk@mandriva.org> 0.8-1mdv2007.1
- drop patch
- new version

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- New release 0.7

* Sat Jul 01 2006 Gtz Waschk <waschk@mandriva.org> 0.6-2mdv2007.0
- Rebuild

* Tue Oct 04 2005 Götz Waschk <waschk@mandriva.org> 0.6-1mdk
- New release 0.6

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 0.4-1mdk
- New release 0.4

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 0.2-3mdk
- fix buildrequires

* Sat May 07 2005 Gtz Waschk <waschk@mandriva.org> 0.2-2mdk
- fix build on x86_64

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 0.2-1mdk
- add source URL
- new version

* Mon Feb 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- fix buildrequires

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package

